VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ItemLink"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public sourceID_ As Long
Public sourceSub_ As String

Public destID_ As Long
Public destSub_ As String

Public type_ As TLinkType

Public Function Init(nSource&, bmSource$, nDestination&, bmDestination$, nType As TLinkType)
  sourceID_ = nSource
  sourceSub_ = bmSource
  destID_ = nDestination
  destSub_ = bmDestination
  type_ = nType
End Function

Public Function Clone() As ItemLink
  Set Clone = New ItemLink
  With Clone
    .sourceID_ = sourceID_
    .sourceSub_ = sourceSub_
    .destID_ = destID_
    .destSub_ = destSub_
    .type_ = type_
  End With
End Function
